Need correct version of spring boot for Apache Camel 3.3.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Need correct version of spring boot for Apache Camel 3.3.0

Abraham George
Hi,

I am trying to upgrade my Spring Boot (Current Version 2.1.0) application
Apache Camel version to 3.3.0 from 2.24.0.

When I used Camel version 3.3.0 with Spring Boot 2.3.0 I got the below
error :-

java.lang.IllegalStateException: Error processing condition on
org.apache.camel.component.browse.springboot.BrowseComponentAutoConfiguration
at
org.springframework.boot.autoconfigure.condition.SpringBootCondition.matches(SpringBootCondition.java:64)
at
org.springframework.context.annotation.ConditionEvaluator.shouldSkip(ConditionEvaluator.java:108)
at
org.springframework.context.annotation.ConfigurationClassBeanDefinitionReader$TrackedConditionEvaluator.shouldSkip(ConfigurationClassBeanDefinitionReader.java:447)
at
org.springframework.context.annotation.ConfigurationClassBeanDefinitionReader.loadBeanDefinitionsForConfigurationClass(ConfigurationClassBeanDefinitionReader.java:128)

Caused by: java.lang.IllegalStateException: Failed to introspect Class
[org.apache.camel.component.binding.springboot.BindingNameComponentAutoConfiguration]
from ClassLoader [sun.misc.Launcher$AppClassLoader@4e0e2f2a]
at
org.springframework.util.ReflectionUtils.getDeclaredMethods(ReflectionUtils.java:680)
at
org.springframework.util.ReflectionUtils.doWithMethods(ReflectionUtils.java:577)
at
org.springframework.util.ReflectionUtils.doWithMethods(ReflectionUtils.java:562)
at
org.springframework.util.ReflectionUtils.getUniqueDeclaredMethods(ReflectionUtils.java:620)
at
java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1688)

Caused by: java.lang.NoClassDefFoundError:
org/apache/camel/component/binding/BindingNameComponent
at java.lang.Class.getDeclaredMethods0(Native Method)
at java.lang.Class.privateGetDeclaredMethods(Class.java:2701)
at java.lang.Class.getDeclaredMethods(Class.java:1975)
at
org.springframework.util.ReflectionUtils.getDeclaredMethods(ReflectionUtils.java:662)
... 47 more
Caused by: java.lang.ClassNotFoundException:
org.apache.camel.component.binding.BindingNameComponent
at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
at java.lang.ClassLoader.loadClass(ClassLoader.java:419)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)

Could someone help in choosing which version of Spring Boot to use ?

Regards,
Abraham George
Reply | Threaded
Open this post in threaded view
|

Re: Need correct version of spring boot for Apache Camel 3.3.0

Claus Ibsen-2
Hi

You should use Spring Boot 2.2.x

Spring Boot 2.3.0 is not yet supported (planned for Camel 3.4) but SB
has non backwards changes that affects camel-spring-boot.

On Mon, May 18, 2020 at 11:41 AM Abraham George
<[hidden email]> wrote:

>
> Hi,
>
> I am trying to upgrade my Spring Boot (Current Version 2.1.0) application
> Apache Camel version to 3.3.0 from 2.24.0.
>
> When I used Camel version 3.3.0 with Spring Boot 2.3.0 I got the below
> error :-
>
> java.lang.IllegalStateException: Error processing condition on
> org.apache.camel.component.browse.springboot.BrowseComponentAutoConfiguration
> at
> org.springframework.boot.autoconfigure.condition.SpringBootCondition.matches(SpringBootCondition.java:64)
> at
> org.springframework.context.annotation.ConditionEvaluator.shouldSkip(ConditionEvaluator.java:108)
> at
> org.springframework.context.annotation.ConfigurationClassBeanDefinitionReader$TrackedConditionEvaluator.shouldSkip(ConfigurationClassBeanDefinitionReader.java:447)
> at
> org.springframework.context.annotation.ConfigurationClassBeanDefinitionReader.loadBeanDefinitionsForConfigurationClass(ConfigurationClassBeanDefinitionReader.java:128)
>
> Caused by: java.lang.IllegalStateException: Failed to introspect Class
> [org.apache.camel.component.binding.springboot.BindingNameComponentAutoConfiguration]
> from ClassLoader [sun.misc.Launcher$AppClassLoader@4e0e2f2a]
> at
> org.springframework.util.ReflectionUtils.getDeclaredMethods(ReflectionUtils.java:680)
> at
> org.springframework.util.ReflectionUtils.doWithMethods(ReflectionUtils.java:577)
> at
> org.springframework.util.ReflectionUtils.doWithMethods(ReflectionUtils.java:562)
> at
> org.springframework.util.ReflectionUtils.getUniqueDeclaredMethods(ReflectionUtils.java:620)
> at
> java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1688)
>
> Caused by: java.lang.NoClassDefFoundError:
> org/apache/camel/component/binding/BindingNameComponent
> at java.lang.Class.getDeclaredMethods0(Native Method)
> at java.lang.Class.privateGetDeclaredMethods(Class.java:2701)
> at java.lang.Class.getDeclaredMethods(Class.java:1975)
> at
> org.springframework.util.ReflectionUtils.getDeclaredMethods(ReflectionUtils.java:662)
> ... 47 more
> Caused by: java.lang.ClassNotFoundException:
> org.apache.camel.component.binding.BindingNameComponent
> at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:419)
> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
>
> Could someone help in choosing which version of Spring Boot to use ?
>
> Regards,
> Abraham George



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2